summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-03-12 22:45:20 +0000
committerMike Frysinger <vapier@gentoo.org>2005-03-12 22:45:20 +0000
commitb12c75e4324070ac9672eda7e94f619ba4e5f682 (patch)
tree6269acb8aa5b890d6be4c868e6533e281fe9a1f2 /eclass
parentfix deps for bug #84988; tidy old version (diff)
downloadhistorical-b12c75e4324070ac9672eda7e94f619ba4e5f682.tar.gz
historical-b12c75e4324070ac9672eda7e94f619ba4e5f682.tar.bz2
historical-b12c75e4324070ac9672eda7e94f619ba4e5f682.zip
use `emake -j1` instead of make and add some comments
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain-binutils.eclass9
1 files changed, 6 insertions, 3 deletions
diff --git a/eclass/toolchain-binutils.eclass b/eclass/toolchain-binutils.eclass
index cc496703b7df..53190ea18782 100644
--- a/eclass/toolchain-binutils.eclass
+++ b/eclass/toolchain-binutils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-binutils.eclass,v 1.29 2005/03/11 03:00:31 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-binutils.eclass,v 1.30 2005/03/12 22:45:20 vapier Exp $
# We install binutils into CTARGET-VERSION specific directories. This lets
# us easily merge multiple versions for multiple targets (if we wish) and
@@ -107,8 +107,11 @@ toolchain-binutils_src_compile() {
echo ./configure ${myconf}
"${S}"/configure ${myconf} || die "configure failed"
- make configure-bfd || die "make configure-bfd failed"
- make headers -C bfd || die "make headers-bfd failed"
+ # binutils' build system is a bit broken with internal
+ # dependencies, so we manually run these first two bfd
+ # targets so that we can than use -j# and have it work
+ emake -j1 configure-bfd || die "make configure-bfd failed"
+ emake -j1 headers -C bfd || die "make headers-bfd failed"
emake all || die "emake failed"
# only build info pages if we user wants them, and if